CSAF

Provides an index to all recent CSAF documents with a summary of their contents, when no parameter is passed. Returns a convenience object as the response with minimal attributes.

List all CSAFs

Note
See the Explaining Red Hat Errata article for more information on Red Hat Errata (RHSA, RHBA, and RHEA).
JSON
GET /csaf.json
XML
GET /csaf.xml
HTML
GET /csaf

Parameters

By default, search will return the first page of 1000 results, ordered by date. To change the page size use the per_page parameter, and then iterate through pages using the page parameter. The following query parameters can be used in combination with each other to retrieve the desired result.

Name Description Example

before

Index of CSAF documents before the query date. [ISO 8601 is the expected format]

2016-03-01

after

Index of CSAF documents after the query date. [ISO 8601 is the expected format]

2016-02-01

rhsa_ids

Index of CSAF documents for RHSA_IDs separated by comma

RHSA-2018:2748,RHSA-2018:2791

bug

Index of CSAF documents for Bugzilla Ids

1326598,1084875

cve

Index of CSAF documents for CVEs

CVE-2014-0160,CVE-2016-3990

severity

Index of CSAF documents for severity

low,moderate,important,critical

package

Index of CSAF documents which affect package

samba,thunderbird

page

Index of CSAF documents for page number

Default: 1

per_page

Number of index of CSAF documents to return per page

Default: 1000

created_days_ago

Index of CSAF documents created days ago

10

isCompressed

Return response in compressed 'gzip' format

Default: true

Retrieve a CSAF

CSAF details for the RHSA.

The JSON format for the Common Security Advisory Framework (CSAF) is defined by OASIS, see here for the GitHub repository and here for the schema.

For more information about the CSAF/VEX data provided by Red Hat see: https://www.redhat.com/en/blog/csaf-vex-documents-now-generally-available